#!/bin/sh

# The framework ADORB.framework must be copied to /Library/Frameworks or ~/Library/Frameworks
# for this example to run
# A symbolic link to existing ADORB.framework can be added instead.
 
port=${1:-15600}

orbd -ORBInitialPort $port &
sleep 5

echo Starting StockServer ...
./StockServer -ORBidl Quote.idl -ior StockServer.ior -quotes quotes.plist -ORBNamingURL corbaloc:iiop:1.2@localhost:$port $* &

sleep 1

echo Starting StockApp.app ...
./StockApp.app/Contents/MacOS/StockApp -ORBNamingURL corbaloc:iiop:1.2@localhost:$port